Create Reporter Subscription
curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reporter_version_id": "<string>",
"league_id": "<string>",
"coworld_id": "<string>",
"cron": "<string>",
"params": {},
"limits": {},
"publish_posts": false
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/subscriptions"
payload = {
"reporter_version_id": "<string>",
"league_id": "<string>",
"coworld_id": "<string>",
"cron": "<string>",
"params": {},
"limits": {},
"publish_posts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reporter_version_id: '<string>',
league_id: '<string>',
coworld_id: '<string>',
cron: '<string>',
params: {},
limits: {},
publish_posts: false
})
};
fetch('https://softmax.com/api/observatory/v2/reporters/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reporter_version_id": "<string>",
"owner_user_id": "<string>",
"league_id": "<string>",
"coworld_id": "<string>",
"cron": "<string>",
"params": {},
"publish_posts": true,
"enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reporters
Create Reporter Subscription
POST
/
v2
/
reporters
/
subscriptions
Create Reporter Subscription
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^rv_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Available options:
round_closed, episode_completed, cron 5-field cron expression; required for cron triggers.
Response
Successful Response
Available options:
round_closed, episode_completed, cron ⌘I

